method_exists
trait_exists
Classes/Object Functions
PHP Manual

# property_exists

(PHP 5 >= 5.1.0)

property_exists — Checks if the object or class has a property

### Description

bool property_exists ( mixed `$class` , string `$property` )

This function checks if the given `property` exists in the specified class.

> Note:

> As opposed with isset(), property_exists() returns `TRUE` even if the property has the value `NULL`.

### Parameters

`class`

  The class name or an object of the class to test for

`property`

  The name of the property

### Return Values

Returns `TRUE` if the property exists, `FALSE` if it doesn't exist or `NULL` in case of an error.

### Notes

> Note:

> Using this function will use any registered autoloaders if the class is not already known.

> Note:

> The property_exists() function cannot detect properties that are magically accessible using the __get magic method.

### Changelog

Version | Description
--- | ---
5.3.0 | This function checks the existence of a property independent of accessibility.

### Examples

Example #1 A property_exists() example

`<?php
class myClass {
public $mine;
private $xpto;
static protected $test;
static function test() {
var_dump(property_exists('myClass', 'xpto')); //true
}
}
var_dump(property_exists('myClass', 'mine')); //true
var_dump(property_exists(new myClass, 'mine')); //true
var_dump(property_exists('myClass', 'xpto')); //true, as of PHP 5.3.0
var_dump(property_exists('myClass', 'bar')); //false
var_dump(property_exists('myClass', 'test')); //true, as of PHP 5.3.0
myClass::test();
?>`

### See Also

- method_exists() - Checks if the class method exists

method_exists
trait_exists
Classes/Object Functions
PHP Manual